{
  "editable": true,
  "gnetId": null,
  "graphTooltip": 0,
  "id": null,
  "links": [],
  "panels": [
    {
      "aliasColors": {},
      "bars": false,
      "dashLength": 10,
      "dashes": false,
      "datasource": "{{ inv_dm.grafana.datasources.timescale_name  }}",
      "fieldConfig": {
        "defaults": {
          "custom": {},
          "links": []
        },
        "overrides": []
      },
      "fill": 1,
      "fillGradient": 0,
      "gridPos": {
        "h": 5,
        "w": 19,
        "x": 0,
        "y": 0
      },
      "hiddenSeries": false,
      "id": 2,
      "legend": {
        "avg": false,
        "current": false,
        "max": false,
        "min": false,
        "show": false,
        "total": false,
        "values": false
      },
      "lines": true,
      "linewidth": 1,
      "nullPointMode": "connected",
      "options": {
        "alertThreshold": true
      },
      "percentage": false,
      "pluginVersion": "7.3.3",
      "pointradius": 2,
      "points": false,
      "renderer": "flot",
      "seriesOverrides": [],
      "spaceLength": 10,
      "stack": false,
      "steppedLine": false,
      "targets": [
        {
          "format": "time_series",
          "group": [],
          "metricColumn": "none",
          "rawQuery": false,
          "rawSql": "SELECT    time_index as \"time\",    temperature  FROM mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved  WHERE    $__timeFilter(time_index) AND    entity_id = 'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'  ORDER BY 1",
          "refId": "A",
          "select": [
            [
              {
                "params": [
                  "temperature"
                ],
                "type": "column"
              }
            ]
          ],
          "table": "mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved",
          "timeColumn": "time_index",
          "timeColumnType": "timestamptz",
          "where": [
            {
              "name": "$__timeFilter",
              "params": [],
              "type": "macro"
            },
            {
              "datatype": "text",
              "name": "",
              "params": [
                "entity_id",
                "=",
                "'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'"
              ],
              "type": "expression"
            }
          ]
        }
      ],
      "thresholds": [],
      "timeFrom": null,
      "timeRegions": [],
      "timeShift": null,
      "title": "Temperature",
      "tooltip": {
        "shared": true,
        "sort": 0,
        "value_type": "individual"
      },
      "type": "graph",
      "xaxis": {
        "buckets": null,
        "mode": "time",
        "name": null,
        "show": true,
        "values": []
      },
      "yaxes": [
        {
          "$$hashKey": "object:99",
          "format": "short",
          "label": null,
          "logBase": 1,
          "max": null,
          "min": null,
          "show": true
        },
        {
          "$$hashKey": "object:100",
          "format": "short",
          "label": null,
          "logBase": 1,
          "max": null,
          "min": null,
          "show": true
        }
      ],
      "yaxis": {
        "align": false,
        "alignLevel": null
      }
    },
    {
      "datasource": "{{ inv_dm.grafana.datasources.timescale_name  }}",
      "fieldConfig": {
        "defaults": {
          "custom": {},
          "decimals": 1,
          "mappings": [],
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              },
              {
                "color": "red",
                "value": 80
              }
            ]
          },
          "unit": "celsius"
        },
        "overrides": []
      },
      "gridPos": {
        "h": 5,
        "w": 4,
        "x": 19,
        "y": 0
      },
      "id": 4,
      "options": {
        "colorMode": "value",
        "graphMode": "none",
        "justifyMode": "center",
        "orientation": "auto",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ],
          "fields": "",
          "values": false
        },
        "textMode": "auto"
      },
      "pluginVersion": "7.3.3",
      "targets": [
        {
          "format": "time_series",
          "group": [],
          "metricColumn": "none",
          "rawQuery": false,
          "rawSql": "SELECT    time_index as \"time\",    temperature  FROM mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved  WHERE    $__timeFilter(time_index) AND    entity_id = 'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'  ORDER BY 1",
          "refId": "A",
          "select": [
            [
              {
                "params": [
                  "temperature"
                ],
                "type": "column"
              }
            ]
          ],
          "table": "mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved",
          "timeColumn": "time_index",
          "timeColumnType": "timestamptz",
          "where": [
            {
              "name": "$__timeFilter",
              "params": [],
              "type": "macro"
            },
            {
              "datatype": "text",
              "name": "",
              "params": [
                "entity_id",
                "=",
                "'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'"
              ],
              "type": "expression"
            }
          ]
        }
      ],
      "timeFrom": null,
      "timeShift": null,
      "title": "Temperature",
      "type": "stat"
    },
    {
      "aliasColors": {},
      "bars": false,
      "dashLength": 10,
      "dashes": false,
      "datasource": "{{ inv_dm.grafana.datasources.timescale_name  }}",
      "fieldConfig": {
        "defaults": {
          "custom": {},
          "links": []
        },
        "overrides": []
      },
      "fill": 1,
      "fillGradient": 0,
      "gridPos": {
        "h": 5,
        "w": 19,
        "x": 0,
        "y": 5
      },
      "hiddenSeries": false,
      "id": 5,
      "legend": {
        "avg": false,
        "current": false,
        "max": false,
        "min": false,
        "show": false,
        "total": false,
        "values": false
      },
      "lines": true,
      "linewidth": 1,
      "nullPointMode": "connected",
      "options": {
        "alertThreshold": true
      },
      "percentage": false,
      "pluginVersion": "7.3.3",
      "pointradius": 2,
      "points": false,
      "renderer": "flot",
      "seriesOverrides": [],
      "spaceLength": 10,
      "stack": false,
      "steppedLine": false,
      "targets": [
        {
          "format": "time_series",
          "group": [],
          "metricColumn": "none",
          "rawQuery": false,
          "rawSql": "SELECT    time_index as \"time\",    atmosphericpressure  FROM mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved  WHERE    $__timeFilter(time_index) AND    entity_id = 'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'  ORDER BY 1",
          "refId": "A",
          "select": [
            [
              {
                "params": [
                  "atmosphericpressure"
                ],
                "type": "column"
              }
            ]
          ],
          "table": "mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved",
          "timeColumn": "time_index",
          "timeColumnType": "timestamptz",
          "where": [
            {
              "name": "$__timeFilter",
              "params": [],
              "type": "macro"
            },
            {
              "datatype": "text",
              "name": "",
              "params": [
                "entity_id",
                "=",
                "'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'"
              ],
              "type": "expression"
            }
          ]
        }
      ],
      "thresholds": [],
      "timeFrom": null,
      "timeRegions": [],
      "timeShift": null,
      "title": "Air Pressure",
      "tooltip": {
        "shared": true,
        "sort": 0,
        "value_type": "individual"
      },
      "type": "graph",
      "xaxis": {
        "buckets": null,
        "mode": "time",
        "name": null,
        "show": true,
        "values": []
      },
      "yaxes": [
        {
          "$$hashKey": "object:205",
          "decimals": 2,
          "format": "pressurehpa",
          "label": null,
          "logBase": 1,
          "max": null,
          "min": null,
          "show": true
        },
        {
          "$$hashKey": "object:206",
          "format": "short",
          "label": null,
          "logBase": 1,
          "max": null,
          "min": null,
          "show": false
        }
      ],
      "yaxis": {
        "align": false,
        "alignLevel": null
      }
    },
    {
      "datasource": "{{ inv_dm.grafana.datasources.timescale_name  }}",
      "fieldConfig": {
        "defaults": {
          "custom": {},
          "decimals": 1,
          "mappings": [],
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          },
          "unit": "pressurehpa"
        },
        "overrides": []
      },
      "gridPos": {
        "h": 5,
        "w": 4,
        "x": 19,
        "y": 5
      },
      "id": 6,
      "options": {
        "colorMode": "value",
        "graphMode": "none",
        "justifyMode": "center",
        "orientation": "auto",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ],
          "fields": "",
          "values": false
        },
        "textMode": "auto"
      },
      "pluginVersion": "7.3.3",
      "targets": [
        {
          "format": "time_series",
          "group": [],
          "metricColumn": "none",
          "rawQuery": false,
          "rawSql": "SELECT    time_index as \"time\",    atmosphericpressure  FROM mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved  WHERE    $__timeFilter(time_index) AND    entity_id = 'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'  ORDER BY 1",
          "refId": "A",
          "select": [
            [
              {
                "params": [
                  "atmosphericpressure"
                ],
                "type": "column"
              }
            ]
          ],
          "table": "mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved",
          "timeColumn": "time_index",
          "timeColumnType": "timestamptz",
          "where": [
            {
              "name": "$__timeFilter",
              "params": [],
              "type": "macro"
            },
            {
              "datatype": "text",
              "name": "",
              "params": [
                "entity_id",
                "=",
                "'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'"
              ],
              "type": "expression"
            }
          ]
        }
      ],
      "timeFrom": null,
      "timeShift": null,
      "title": "Air Pressure",
      "type": "stat"
    },
    {
      "aliasColors": {},
      "bars": false,
      "dashLength": 10,
      "dashes": false,
      "datasource": "{{ inv_dm.grafana.datasources.timescale_name  }}",
      "fieldConfig": {
        "defaults": {
          "custom": {},
          "links": []
        },
        "overrides": []
      },
      "fill": 1,
      "fillGradient": 0,
      "gridPos": {
        "h": 5,
        "w": 19,
        "x": 0,
        "y": 10
      },
      "hiddenSeries": false,
      "id": 7,
      "legend": {
        "avg": false,
        "current": false,
        "max": false,
        "min": false,
        "show": false,
        "total": false,
        "values": false
      },
      "lines": true,
      "linewidth": 1,
      "nullPointMode": "connected",
      "options": {
        "alertThreshold": true
      },
      "percentage": false,
      "pluginVersion": "7.3.3",
      "pointradius": 2,
      "points": false,
      "renderer": "flot",
      "seriesOverrides": [],
      "spaceLength": 10,
      "stack": false,
      "steppedLine": false,
      "targets": [
        {
          "format": "time_series",
          "group": [],
          "metricColumn": "none",
          "rawQuery": false,
          "rawSql": "SELECT    time_index as \"time\",    relativehumidity  FROM mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved  WHERE    $__timeFilter(time_index) AND    entity_id = 'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'  ORDER BY 1",
          "refId": "A",
          "select": [
            [
              {
                "params": [
                  "relativehumidity"
                ],
                "type": "column"
              }
            ]
          ],
          "table": "mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved",
          "timeColumn": "time_index",
          "timeColumnType": "timestamptz",
          "where": [
            {
              "name": "$__timeFilter",
              "params": [],
              "type": "macro"
            },
            {
              "datatype": "text",
              "name": "",
              "params": [
                "entity_id",
                "=",
                "'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'"
              ],
              "type": "expression"
            }
          ]
        }
      ],
      "thresholds": [],
      "timeFrom": null,
      "timeRegions": [],
      "timeShift": null,
      "title": "Humidity",
      "tooltip": {
        "shared": true,
        "sort": 0,
        "value_type": "individual"
      },
      "type": "graph",
      "xaxis": {
        "buckets": null,
        "mode": "time",
        "name": null,
        "show": true,
        "values": []
      },
      "yaxes": [
        {
          "$$hashKey": "object:308",
          "decimals": 2,
          "format": "humidity",
          "label": null,
          "logBase": 1,
          "max": null,
          "min": null,
          "show": true
        },
        {
          "$$hashKey": "object:309",
          "format": "short",
          "label": null,
          "logBase": 1,
          "max": null,
          "min": null,
          "show": false
        }
      ],
      "yaxis": {
        "align": false,
        "alignLevel": null
      }
    },
    {
      "datasource": "{{ inv_dm.grafana.datasources.timescale_name  }}",
      "fieldConfig": {
        "defaults": {
          "custom": {},
          "decimals": 1,
          "mappings": [],
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          },
          "unit": "humidity"
        },
        "overrides": []
      },
      "gridPos": {
        "h": 5,
        "w": 4,
        "x": 19,
        "y": 10
      },
      "id": 8,
      "options": {
        "colorMode": "value",
        "graphMode": "none",
        "justifyMode": "center",
        "orientation": "auto",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ],
          "fields": "",
          "values": false
        },
        "textMode": "auto"
      },
      "pluginVersion": "7.3.3",
      "targets": [
        {
          "format": "time_series",
          "group": [],
          "metricColumn": "none",
          "rawQuery": false,
          "rawSql": "SELECT    time_index as \"time\",    relativehumidity  FROM mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved  WHERE    $__timeFilter(time_index) AND    entity_id = 'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'  ORDER BY 1",
          "refId": "A",
          "select": [
            [
              {
                "params": [
                  "relativehumidity"
                ],
                "type": "column"
              }
            ]
          ],
          "table": "mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved",
          "timeColumn": "time_index",
          "timeColumnType": "timestamptz",
          "where": [
            {
              "name": "$__timeFilter",
              "params": [],
              "type": "macro"
            },
            {
              "datatype": "text",
              "name": "",
              "params": [
                "entity_id",
                "=",
                "'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'"
              ],
              "type": "expression"
            }
          ]
        }
      ],
      "timeFrom": null,
      "timeShift": null,
      "title": "Humidity",
      "type": "stat"
    },
    {
      "aliasColors": {},
      "bars": false,
      "dashLength": 10,
      "dashes": false,
      "datasource": "{{ inv_dm.grafana.datasources.timescale_name  }}",
      "fieldConfig": {
        "defaults": {
          "custom": {},
          "links": []
        },
        "overrides": []
      },
      "fill": 1,
      "fillGradient": 0,
      "gridPos": {
        "h": 5,
        "w": 19,
        "x": 0,
        "y": 15
      },
      "hiddenSeries": false,
      "id": 9,
      "legend": {
        "avg": false,
        "current": false,
        "max": false,
        "min": false,
        "show": false,
        "total": false,
        "values": false
      },
      "lines": true,
      "linewidth": 1,
      "nullPointMode": "connected",
      "options": {
        "alertThreshold": true
      },
      "percentage": false,
      "pluginVersion": "7.3.3",
      "pointradius": 2,
      "points": false,
      "renderer": "flot",
      "seriesOverrides": [],
      "spaceLength": 10,
      "stack": false,
      "steppedLine": false,
      "targets": [
        {
          "format": "time_series",
          "group": [],
          "metricColumn": "none",
          "rawQuery": false,
          "rawSql": "SELECT    time_index as \"time\",    windspeed  FROM mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved  WHERE    $__timeFilter(time_index) AND    entity_id = 'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'  ORDER BY 1",
          "refId": "A",
          "select": [
            [
              {
                "params": [
                  "windspeed"
                ],
                "type": "column"
              }
            ]
          ],
          "table": "mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved",
          "timeColumn": "time_index",
          "timeColumnType": "timestamptz",
          "where": [
            {
              "name": "$__timeFilter",
              "params": [],
              "type": "macro"
            },
            {
              "datatype": "text",
              "name": "",
              "params": [
                "entity_id",
                "=",
                "'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'"
              ],
              "type": "expression"
            }
          ]
        }
      ],
      "thresholds": [],
      "timeFrom": null,
      "timeRegions": [],
      "timeShift": null,
      "title": "Wind Speed",
      "tooltip": {
        "shared": true,
        "sort": 0,
        "value_type": "individual"
      },
      "type": "graph",
      "xaxis": {
        "buckets": null,
        "mode": "time",
        "name": null,
        "show": true,
        "values": []
      },
      "yaxes": [
        {
          "$$hashKey": "object:411",
          "decimals": 2,
          "format": "accMS2",
          "label": null,
          "logBase": 1,
          "max": null,
          "min": null,
          "show": true
        },
        {
          "$$hashKey": "object:412",
          "format": "short",
          "label": null,
          "logBase": 1,
          "max": null,
          "min": null,
          "show": false
        }
      ],
      "yaxis": {
        "align": false,
        "alignLevel": null
      }
    },
    {
      "datasource": "{{ inv_dm.grafana.datasources.timescale_name  }}",
      "fieldConfig": {
        "defaults": {
          "custom": {},
          "decimals": 1,
          "mappings": [],
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          },
          "unit": "accMS2"
        },
        "overrides": []
      },
      "gridPos": {
        "h": 5,
        "w": 4,
        "x": 19,
        "y": 15
      },
      "id": 10,
      "options": {
        "colorMode": "value",
        "graphMode": "none",
        "justifyMode": "center",
        "orientation": "auto",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ],
          "fields": "",
          "values": false
        },
        "textMode": "auto"
      },
      "pluginVersion": "7.3.3",
      "targets": [
        {
          "format": "time_series",
          "group": [],
          "metricColumn": "none",
          "rawQuery": false,
          "rawSql": "SELECT    time_index as \"time\",    relativehumidity  FROM mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved  WHERE    $__timeFilter(time_index) AND    entity_id = 'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'  ORDER BY 1",
          "refId": "A",
          "select": [
            [
              {
                "params": [
                  "relativehumidity"
                ],
                "type": "column"
              }
            ]
          ],
          "table": "mt{{ tenant.demo_flows.weather_owm.dataspace }}.etweatherobserved",
          "timeColumn": "time_index",
          "timeColumnType": "timestamptz",
          "where": [
            {
              "name": "$__timeFilter",
              "params": [],
              "type": "macro"
            },
            {
              "datatype": "text",
              "name": "",
              "params": [
                "entity_id",
                "=",
                "'urn:ngsi-ld:WeatherObserved:Germany-WeatherObserved-{{ tenant.demo_flows.weather_owm.station_id }}'"
              ],
              "type": "expression"
            }
          ]
        }
      ],
      "timeFrom": null,
      "timeShift": null,
      "title": "Wind Speed",
      "type": "stat"
    }
  ],
  "schemaVersion": 26,
  "style": "dark",
  "tags": [],
  "templating": {
    "list": []
  },
  "time": {
    "from": "now-6h",
    "to": "now"
  },
  "timepicker": {
    "refresh_intervals": [
      "60"
    ]
  },
  "timezone": "Europe/Berlin",
  "title": "Weather OWM",
  "uid": "UAavlhoMz",
  "version": 2
}
